package com.yd.dal.service.systemMessage.Impl;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import com.yd.dal.entity.systemMessage.AclSystemMessage;
import com.yd.dal.mapper.systemMessage.AclSystemMessageMapper;
import com.yd.dal.service.systemMessage.AclSystemMessageService;

@Service("aclSystemMessageService")
public class AclSystemMessageServiceImpl implements AclSystemMessageService {
    @Resource
    private AclSystemMessageMapper aclSystemMessageMapper;

    @Override
    public AclSystemMessage findById(Long id) {
        return aclSystemMessageMapper.selectByPrimaryKey(id);
    }

    public void save(AclSystemMessage aclSystemMessage) {
    	if(aclSystemMessage.getId() == null){
        	aclSystemMessageMapper.insert(aclSystemMessage);
    	}else{
    		aclSystemMessageMapper.updateByPrimaryKey(aclSystemMessage);
    	}
    }

    @Override
    public void update(AclSystemMessage aclSystemMessage) {
    	aclSystemMessageMapper.updateByPrimaryKey(aclSystemMessage);
    }

}
